export default{
    checkIntFloat12(val){
        // 整数或2位小数
        var reg1 = /((^[1-9]\d*)|^0)(\.\d{0,2}){0,1}$/
        return reg1.test(val)
    },
    checkIntFloat1(val){
        //整数或1位小数
        var reg1 = /((^[1-9]\d*)|^0)(\.\d{0,1}){0,1}?$/
        return reg1.test(val)
    },
    checkInt(val){
        var reg1 = /^[1-9]\d*$/
        return reg1.test(val)
    },
    checkPhone(val){
        var reg1 = /^1[3456789]d{9}$/
        var reg1 = /^1\d{10}$/
        return reg1.test(val)
    }
}